--How to concatenate string data
SELECT vendor_city, vendor_state, CONCAT(vendor_city, vendor_state)
FROM vendors;

--How to format string data using literal values
SELECT vendor_name,
       CONCAT(vendor_city, ', ', vendor_state, ' ', vendor_zip_code) 
           AS address
FROM vendors;

--How to include apostrophes in literal values 
SELECT CONCAT(vendor_name, '''s Address: ') AS Vendor,
       CONCAT(vendor_city, ', ', vendor_state, ' ', vendor_zip_code) 
           AS Address
FROM vendors;

